Loading...
Searching...
No Matches
mdds::flat_segment_tree< Key, Value >::const_reverse_iterator Class Reference
Inheritance diagram for mdds::flat_segment_tree< Key, Value >::const_reverse_iterator:

## Friends

class | flat_segment_tree

## Additional Inherited Members

Public Types inherited from mdds::fst::detail::const_iterator_base< flat_segment_tree, ::mdds::fst::detail::reverse_itr_handler< flat_segment_tree > >
typedef flat_segment_tree | fst_type
using | value_type
using | pointer
using | reference
using | difference_type
using | iterator_category
Public Member Functions inherited from mdds::fst::detail::const_iterator_base< flat_segment_tree, ::mdds::fst::detail::reverse_itr_handler< flat_segment_tree > >
| const_iterator_base (const fst_type *_db, bool _end)
| const_iterator_base (const fst_type *_db, const typename fst_type::node *pos)
| const_iterator_base (const const_iterator_base &r)
const_iterator_base & | operator= (const const_iterator_base &r)
const_iterator_base & | operator++ ()
const_iterator_base & | operator-- ()
bool | operator== (const const_iterator_base &r) const
bool | operator!= (const const_iterator_base &r) const
value_type | operator* ()
value_type | operator-> ()
Protected Member Functions inherited from mdds::fst::detail::const_iterator_base< flat_segment_tree, ::mdds::fst::detail::reverse_itr_handler< flat_segment_tree > >
const fst_type::node * | get_pos () const
const fst_type * | get_parent () const
bool | is_end_pos () const